%define pypi_name attrs
%define module_name attr

Name:           python-%{pypi_name}
Version:        20.3.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Classes Without Boilerplate
License:        MIT
URL:            https://pypi.org/project/attrs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
attrs is an MIT-licensed Python package with class decorators
that ease the chores of implementing the most common
attribute-related object protocols.

%package -n     python3-%{pypi_name}
Summary:        Attributes without boilerplate
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
attrs is an MIT-licensed Python 3 package with class decorators
that ease the chores of implementing the most common
attribute-related object protocols.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf src/attrs.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{module_name}


%changelog
* Tue Nov 10 2020 guillomovitch <guillomovitch> 20.3.0-1.mga8
+ Revision: 1644364
- new version 20.3.0

* Tue Sep 08 2020 guillomovitch <guillomovitch> 20.2.0-1.mga8
+ Revision: 1623673
- new version 20.2.0

* Tue Feb 18 2020 umeabot <umeabot> 19.3.0-2.mga8
+ Revision: 1538222
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 19.3.0-1.mga8
+ Revision: 1461202
- new version: 19.3.0

* Wed Sep 04 2019 wally <wally> 19.1.0-2.mga8
+ Revision: 1437285
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 wally <wally> 19.1.0-1.mga7
+ Revision: 1392191
- new version 19.1.0

* Sat Jan 12 2019 wally <wally> 18.2.0-1.mga7
+ Revision: 1355595
- new version 18.2.0

* Sat Jan 05 2019 wally <wally> 17.4.0-4.mga7
+ Revision: 1349528
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 17.4.0-3.mga7
+ Revision: 1288248
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 17.4.0-2.mga7
+ Revision: 1230442
- rename python-attrs to python2-attrs

* Tue Jan 02 2018 guillomovitch <guillomovitch> 17.4.0-1.mga7
+ Revision: 1189328
- new version 17.4.0

* Sat Aug 05 2017 pterjan <pterjan> 15.2.0-2.mga7
+ Revision: 1135316
- Rebuild for python 3.6

* Sat Mar 05 2016 philippem <philippem> 15.2.0-1.mga6
+ Revision: 986065
- fix file list
- imported package python-attrs

